# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "radixtarget"
version = "4.1.1"
authors = ["TheTechromancer <thetechromancer@protonmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Fast radix tree implementation for IP addresses and hostnames with target matching"
readme = "README.md"
keywords = [
    "radix",
    "tree",
    "ip",
    "network",
    "dns",
]
categories = [
    "data-structures",
    "network-programming",
]
license = "GPL-3.0"
repository = "https://github.com/blacklanternsecurity/radixtarget"

[features]
default = []
py = ["dep:pyo3"]

[lib]
name = "radixtarget"
crate-type = [
    "rlib",
    "cdylib",
]
path = "src/lib.rs"

[[test]]
name = "temp_readme_examples"
path = "tests/temp_readme_examples.rs"

[dependencies.idna]
version = "1.0.3"

[dependencies.ipnet]
version = "2.10"

[dependencies.pyo3]
version = "0.27"
optional = true

[dependencies.seahash]
version = "4.1"

[dev-dependencies.rand]
version = "0.8"
